=== debian/control ===
Source: postgresql-8.3
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.7.3
XS-Python-Version: current
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), perl (>= 5.8), libreadline5-dev (>= 4.2), libssl-dev, zlib1g-dev | libz-dev, libxml2-dev, libxslt1-dev, gettext, bzip2

Package: libpq-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libpq5 (= ${binary:Version}), libssl-dev
Conflicts: postgresql-dev (<< 7.5)
Replaces: postgresql-dev
Suggests: postgresql-doc-8.3
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-client-8.3
Architecture: any
Section: misc
Depends: ${shlibs:Depends}
Conflicts: postgresql (<< 7.5)
Suggests: postgresql-8.3, postgresql-doc-8.3
Provides: postgresql-client
Description: front-end programs for PostgreSQL 8.3
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 8.3. If you install
 PostgreSQL 8.3 on a standalone machine, you need the server package
 postgresql-8.3, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-8.3
Architecture: all
Section: doc
Conflicts: postgresql-doc (<< 7.5)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 8.3. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-client
Architecture: all
Section: misc
Depends: postgresql-client-8.3
Description: front-end programs for PostgreSQL (latest version)
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This package always depends on the latest available database client
 package for PostgreSQL. If you install PostgreSQL on a standalone
 machine, you need the server package postgresql, too. On a network,
 you can install this package on many client machines, while the
 server package may be installed on only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc
Architecture: all
Section: doc
Depends: postgresql-doc-8.3
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 the latest available PostgreSQL version. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.
