=== debian/watch ===
version=3
http://ftp8.us.postgresql.org/postgresql/source/(v8\.3.*)/postgresql-(8\.3.*)\.tar\.bz2
